---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/Scenes/07_Cantellos_shop/Comics/Laura/"
---------------------------------------------------------------------------------------
createCompositionLips_1_Laura_Dvijok_ = nil
---------------------------------------------------------------------------------------
createCompositionLips_1_Laura_Dvijok_ = function()
	local compositionLips_1_Laura_Dvijok_ = CreateCompositionSequence()
	local compositionDuration = 8
	compositionLips_1_Laura_Dvijok_:setDuration(compositionDuration)
	compositionLips_1_Laura_Dvijok_:setName("compositionLips_1_Laura_Dvijok_" )
	compositionLips_1_Laura_Dvijok_:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer Head_1.png/1
	element = CreateCompositionElement(PREFIX_PATH.."Head_1.png")
	element:setName("Head_1.png/1")
	compositionLips_1_Laura_Dvijok_:addElement(element)
	element:setHotSpot(55, 129)
	compositionLips_1_Laura_Dvijok_:registerParentInfo("Head_1.png/1", "Telo_1.png/4")
	element:setXY(122, 17)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 2.29166666666667, 0)
	effector:setKey(_TRACK_A, 3, 0.05179404017595)
	effector:setKey(_TRACK_A, 6.20833333333333, 0.05179404017595)
	effector:setKey(_TRACK_A, 6.875, 0)
	effector:play()
 
 
	-- Layer R_Ruka_1.png/2
	element = CreateCompositionElement(PREFIX_PATH.."R_Ruka_1.png")
	element:setName("R_Ruka_1.png/2")
	compositionLips_1_Laura_Dvijok_:addElement(element)
	element:setHotSpot(72, 20)
	compositionLips_1_Laura_Dvijok_:registerParentInfo("R_Ruka_1.png/2", "Telo_1.png/4")
	element:setXY(15, 89)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 1, 0.01048055916271)
	effector:setKey(_TRACK_A, 2, 0)
	effector:setKey(_TRACK_A, 3, 0.01048055916271)
	effector:setKey(_TRACK_A, 4, 0)
	effector:setKey(_TRACK_A, 5, 0.01048055916271)
	effector:setKey(_TRACK_A, 6, 0)
	effector:setKey(_TRACK_A, 7, 0.01048055916271)
	effector:setKey(_TRACK_A, 8, 0)
	effector:play()
 
 
	-- Layer Telo_2.png/3
	element = CreateCompositionElement(PREFIX_PATH.."Telo_2.png")
	element:setName("Telo_2.png/3")
	compositionLips_1_Laura_Dvijok_:addElement(element)
	element:setHotSpot(118, 153)
	element:setParentElement(compositionLips_1_Laura_Dvijok_)
	element:setXY(683, 334)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 1, 1)
	effector:setKey(_TRACK_O, 2, 0)
	effector:setKey(_TRACK_O, 3, 1)
	effector:setKey(_TRACK_O, 4, 0)
	effector:setKey(_TRACK_O, 5, 1)
	effector:setKey(_TRACK_O, 6, 0)
	effector:setKey(_TRACK_O, 7, 1)
	effector:setKey(_TRACK_O, 8, 0)
	effector:play()
 
 
	-- Layer Telo_1.png/4
	element = CreateCompositionElement(PREFIX_PATH.."Telo_1.png")
	element:setName("Telo_1.png/4")
	compositionLips_1_Laura_Dvijok_:addElement(element)
	element:setHotSpot(126, 294)
	compositionLips_1_Laura_Dvijok_:registerParentInfo("Telo_1.png/4", "Yubka_1.png/5")
	element:setXY(146, 10)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Yubka_1.png/5
	element = CreateCompositionElement(PREFIX_PATH.."Yubka_1.png")
	element:setName("Yubka_1.png/5")
	compositionLips_1_Laura_Dvijok_:addElement(element)
	element:setHotSpot(141, 158)
	element:setParentElement(compositionLips_1_Laura_Dvijok_)
	element:setXY(686, 623)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer L_Ruka_1.png/6
	element = CreateCompositionElement(PREFIX_PATH.."L_Ruka_1.png")
	element:setName("L_Ruka_1.png/6")
	compositionLips_1_Laura_Dvijok_:addElement(element)
	element:setHotSpot(39, 22)
	compositionLips_1_Laura_Dvijok_:registerParentInfo("L_Ruka_1.png/6", "Telo_1.png/4")
	element:setXY(224, 91)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 1, -0.00950953446449)
	effector:setKey(_TRACK_A, 2, 0)
	effector:setKey(_TRACK_A, 3, -0.00950953446449)
	effector:setKey(_TRACK_A, 4, 0)
	effector:setKey(_TRACK_A, 5, -0.00950953446449)
	effector:setKey(_TRACK_A, 6, 0)
	effector:setKey(_TRACK_A, 7, -0.00950953446449)
	effector:setKey(_TRACK_A, 8, 0)
	effector:play()
 
 
	-- Layer Volosy_12.png/7
	element = CreateCompositionElement(PREFIX_PATH.."Volosy_12.png")
	element:setName("Volosy_12.png/7")
	compositionLips_1_Laura_Dvijok_:addElement(element)
	element:setHotSpot(94, 50)
	compositionLips_1_Laura_Dvijok_:registerParentInfo("Volosy_12.png/7", "Head_1.png/1")
	element:setXY(60, 129.75)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
	compositionLips_1_Laura_Dvijok_:play()
 
	return compositionLips_1_Laura_Dvijok_
end
 
